Bug 1125441 - NM doesn't integrate well with wi-fi with repeater
Summary: NM doesn't integrate well with wi-fi with repeater
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 21:04 UTC by Zdenek Kabelac
Modified: 2016-07-19 11:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:59:09 UTC


Attachments (Terms of Use)

Description Zdenek Kabelac 2014-07-31 21:04:00 UTC
Description of problem:

Ok, I know it's not the best thing on the world to use WiFi repeaters, but NM seems to be far from perfect as well.

From my observation it looks when there is same SSID available on the same channel, it's not checking at all quality of signal and NM tries to use whatever goes first - se even when there is near repeater with full signal it pick the AP with much weaker signal quality.

I can select BSSID with the repeaters MAC address, however then laptop still tries to connect to the 'other' MAC.

Then I'm seeing occasional lose of connection and dialog query for WPA2 password - which the NM already knows (looks like it switching between MACs and not realizing it should use automatically same password?)

APs are both TP link devices.

I do not see similar behaviour on Android phones which seems to select
better MAC (though it may likely see the master AP as pretty weak signal hardly usable - while my laptop does far better job with larger built-in antena)

Version-Release number of selected component (if applicable):
NetworkManager-0.9.10.0-1.git20140704.fc21.x86_64

How reproducible:
I'll probably try to setup similar setup as is in my current apartment at home, bu basically network with 2 routers where one is AP, and other plain repeater should be about enough.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
System should completely hide any use of repeater - so the switch of MACs for the same SSID should be completely user invisible - without any DHCP reload...


Additional info:

Comment 1 Jaroslav Reznik 2015-03-03 16:10:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora Admin XMLRPC Client 2015-08-18 14:59:50 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2016-07-19 11:59:09 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.